GRAPH1D_ORTHOGONAL_SHOW_TRACES(3)

EXPERIMENTAL_FUNC
graph1d_orthogonal_show_traces - Show a weighted, summed trace.

SYNOPSIS
#include <karma_graph1d.h>

void graph1d_orthogonal_show_traces

(KOrthogonalProfile profile, CONST unsigned int *dim_indices, flag correct_aberration, flag sum, float global_weight, unsigned int num_traces, CONST uaddr *coord_indices, uaddr refpos, CONST float *weights)

DESCRIPTION
Show a weighted, summed trace.

profile
    The orthogonal profile.

dim_indices
    The dimension indicies. The length of this array must be one less than the number of dimensions in the array.

correct_aberration
    If TRUE, attempt to correct for chromatic aberration.

sum If TRUE, the data are summed rather than averaged.

global_weight
    This weight value is applied to each trace as it is combined.

num_traces
    The number of traces to combine.

coord_indices
    The co-ordinate indices for the traces. This is grouped into <<num_traces>> contiguous blocks of co-ordinate traces. Each block must contain <<num_dim>> - 1 co-ordinate indices.

refpos
    The reference position along the profile dimension.

weights
    The weights to apply to each trace as it is combined. If this is NULL no weights are applied.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/